dbXML API

## com.dbxml.db.common.scripting
Class ScriptExtension

    java.lang.Object
      com.dbxml.util.SimpleConfigurable
          com.dbxml.db.core.extension.SimpleExtension
              com.dbxml.db.common.scripting.ScriptExtension

All Implemented Interfaces:
  Configurable, Extension

Direct Known Subclasses:
  JavaScriptExtension, PythonExtension

public abstract class ScriptExtension
extends SimpleExtension

ScriptExtension is the base class for all script-interpreted Extensions. A lot would need to be done here to make this class useful as a dbXML service (ex: Storing the scripts in a collection, pooling, reloading when modified, etc...)

Field Summary
`static java.lang.String[]` `PARAMS_execute`

Constructor Summary
`ScriptExtension()`

Method Summary
`abstract com.dbxml.labrador.types.Variant` `execute(java.util.Map args)` execute must be implemented by a script-interpreting Extension.
`void` `setConfig(Configuration config)` setConfig sets the configuration information for the Configurable object instance.

Methods inherited from class com.dbxml.db.core.extension.SimpleExtension
`getCollection, getName, setCollection`

Methods inherited from class com.dbxml.util.SimpleConfigurable
`getConfig`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.dbxml.util.Configurable
`getConfig`

Field Detail

### PARAMS_execute

    public static final java.lang.String[] PARAMS_execute

Constructor Detail

### ScriptExtension

    public ScriptExtension()

Method Detail

### setConfig

    public void setConfig(Configuration config)
                   throws dbXMLException

  Description copied from interface: `Configurable`
  setConfig sets the configuration information for the Configurable object instance.

  Specified by:
    `setConfig` in interface `Configurable`
  Overrides:
    `setConfig` in class `SimpleExtension`
  Throws:
    `dbXMLException`

### execute

    public abstract com.dbxml.labrador.types.Variant execute(java.util.Map args)
                                                      throws DBException

  execute must be implemented by a script-interpreting Extension.

  Parameters:
    `args` - Free-form argument list
  Returns:
    The result of the script
  Throws:
    `DBException`

dbXML API

Copyright (c) 2004 The dbXML Group